## ir.lv2 1.3.2~dfsg0

=== Makefile ===
# Please edit PREFIX and/or INSTDIR to your liking,
# then issue 'make install' as root (or 'sudo make install').

# Issue 'make convert4chan' to compile the 4-channel converter utility
# (for local use, not installed by make install)

PREFIX = /usr
INSTDIR = $(PREFIX)/lib/lv2/ir.lv2

INST_FILES = ir.so ir_gui.so ir.ttl manifest.ttl

# change "-O2 -ffast-math" to "-g -O0" below if you want to debug the plugin
CPPFLAGS += -Wall -I. -I/usr/include `pkg-config --cflags gtk+-2.0` `pkg-config --cflags gthread-2.0` -D__STDC_FORMAT_MACROS -O2 -ffast-math
LIBS += -lc -lm -lzita-convolver -lsamplerate -lsndfile `pkg-config --libs gthread-2.0` `pkg-config --libs gtk+-2.0`

ifeq ($(shell pkg-config --atleast-version='2.16' gtk+-2.0; echo $$?), 1)
   $(error "At least GTK+ version 2.16 is needed to build IR.")
endif

ifeq ($(shell pkg-config --atleast-version='2.20' gtk+-2.0; echo $$?), 0)
   CPPFLAGS += -D_HAVE_GTK_ATLEAST_2_20
endif

C4CFLAGS = -Wall -I. -I/usr/include `pkg-config --cflags gthread-2.0` -O2 -ffast-math
C4LIBS = -lsndfile `pkg-config --libs gthread-2.0`

all: ir.so ir_gui.so

ir.o: ir.cc ir.h ir_utils.h
	g++ ir.cc $(CPPFLAGS) -c -fPIC -o ir.o

ir_gui.o: ir_gui.cc ir.h ir_utils.h ir_wavedisplay.h
	g++ ir_gui.cc $(CPPFLAGS) -c -fPIC -o ir_gui.o

ir_utils.o: ir_utils.cc ir_utils.h ir.h
	g++ ir_utils.cc $(CPPFLAGS) -c -fPIC -o ir_utils.o

ir_meter.o: ir_meter.cc ir_meter.h ir.h ir_utils.h
	g++ ir_meter.cc $(CPPFLAGS) -c -fPIC -o ir_meter.o

ir_modeind.o: ir_modeind.cc ir_modeind.h ir.h ir_utils.h
	g++ ir_modeind.cc $(CPPFLAGS) -c -fPIC -o ir_modeind.o

ir_wavedisplay.o: ir_wavedisplay.cc ir_wavedisplay.h ir.h ir_utils.h
	g++ ir_wavedisplay.cc $(CPPFLAGS) -c -fPIC -o ir_wavedisplay.o

ir.so: ir.o ir_utils.o
	g++ $(LDFLAGS) ir.o ir_utils.o $(LIBS) -shared -o ir.so

ir_gui.so: ir_gui.o ir_utils.o ir_meter.o ir_modeind.o ir_wavedisplay.o
	g++ $(LDFLAGS) ir_gui.o ir_utils.o ir_meter.o ir_modeind.o ir_wavedisplay.o $(LIBS) -shared -z nodelete -o ir_gui.so

convert4chan: convert4chan.c
	gcc $(C4CFLAGS) convert4chan.c $(C4LIBS) -o convert4chan

install: all
	mkdir -p $(INSTDIR)
	cp $(INST_FILES) $(INSTDIR)

clean:
	rm -f *~ *.o ir.so ir_gui.so convert4chan

## ir.lv2 1.3.1~dfsg0

=== debian/changelog ===
ir.lv2 (1.3.1~dfsg0-3) unstable; urgency=low

  * Replace lv2core,lv2-extensions-good build-deps with lv2-dev.
  * Update debian/copyright to machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 20:29:22 +0200

ir.lv2 (1.3.1~dfsg0-2) unstable; urgency=low

  * Port ir.lv2 to zita-convolver's new API (Closes: #652019).

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Dec 2011 18:21:45 +0100

ir.lv2 (1.3.1~dfsg0-1) unstable; urgency=low

  * New upstream bugfix release:
    - Fixed Makefile from David Robillard. The change is that the module now
      relies on the GNU linker (via -z nodelete) to prevent unloading instead
      of reliance on the LV2 host obeying lv2:requiredFeature
      uiext:makeResident.
      This fixes http://tracker.ardour.org/view.php?id=4112
  * Add debian/repack.{local,sh,stub} scripts to provide a mechanism to easy
    repack the tarball:
    - Strip {instance-access,lv2_ui}.h local copies to avoid duplicated code.
      On Debian, those LV2 extensions are provided by lv2-extensions-good.
  * Refresh debian/patches/01-makefile.patch
  * debian/patches/02-lv2_headers.patch:
    - Fix #include statements to find LV2 system wide-headers.
  * debian/rules: Enable parallel builds.
  * debian/control:
    - Fix list indentation in the package's long description.
    - Build-depend on lv2-extensions-good.
    - Sort build dependencies
    - Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jul 2011 02:22:06 +0200

ir.lv2 (1.3-1) unstable; urgency=low

  * Initial release (Closes: #609941). 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 14 Jan 2011 01:27:59 +0100

=== debian/control ===
Source: ir.lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 libgtk2.0-dev (>= 2.16),
 libsamplerate0-dev (>= 0.1.7),
 libsndfile1-dev (>= 1.0.21),
 libzita-convolver-dev (>= 2.0.0),
 lv2-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ir.lv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ir.lv2.git
Homepage: http://factorial.hu/plugins/lv2/ir

Package: ir.lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 IR reverb
 IR is a zero-latency, realtime, high performance signal convolver
 especially for creating reverb effects. Supports impulse responses
 with 1, 2 or 4 channels, in any soundfile format supported by libsndfile.
 .
 IR files can be for example here:
  - http://rhythminmind.net/1313/?cat=182
  - http://www.echochamber.ch/responses/index.html
  - http://noisevault.com/index.php?page=ir-library
  - http://www.samplicity.com/bricasti-m7-impulse-responses/
 .
 For converting 2ch impupuses to 4ch *True stereo* format
 use 'convert4chan' utility. See man pages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed
export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@ --parallel

override_dh_auto_build:
	make convert4chan

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/ir.lv2/usr/bin
	cp convert4chan $(CURDIR)/debian/ir.lv2/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs README ChangeLog

get-orig-source:
	uscan --force-download

## ir.lv2 1.3.2~dfsg0

=== debian/changelog ===
ir.lv2 (1.3.2~dfsg0-2) unstable; urgency=medium

  * Bump Standards.
  * Don't sign tags.
  * Update VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 15 Jun 2015 02:57:35 +0200

ir.lv2 (1.3.2~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Set compat/dh to 9 to fix hardening
  * Added patch to fix hardening for convert4chan binary.
  * Remove 03-zita_convolver3.patch, applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Sep 2012 14:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libgtk2.0-dev (>= 2.16),
  libsamplerate0-dev (>= 0.1.7),
  libsndfile1-dev (>= 1.0.21),
  libzita-convolver-dev (>= 2.0.0),
  lv2-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ir.lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ir.lv2.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ir.lv2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ir.lv2.git
 Homepage: http://factorial.hu/plugins/lv2/ir
 
 Package: ir.lv2

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
+	dh_auto_build
 	make convert4chan
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://factorial.hu/plugins/lv2/ir \
http://factorial.hu/system/files/ir.lv2-([\d.]+)\.tar\.gz \
	debian sh debian/repack.stub

## ir.lv2 1.3.3~dfsg0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # (for local use, not installed by make install)
 
 PREFIX = /usr
-INSTDIR = $(PREFIX)/lib/lv2/ir.lv2
+INSTDIR = $(DESTDIR)$(PREFIX)/lib/lv2/ir.lv2
 
 INST_FILES = ir.so ir_gui.so ir.ttl manifest.ttl
 
@@ -51,7 +51,7 @@
 	g++ $(LDFLAGS) ir_gui.o ir_utils.o ir_meter.o ir_modeind.o ir_wavedisplay.o $(LIBS) -shared -z nodelete -o ir_gui.so
 
 convert4chan: convert4chan.c
-	gcc $(C4CFLAGS) convert4chan.c $(C4LIBS) -o convert4chan
+	gcc $(C4CFLAGS) $(CPPFLAGS) $(LDFLAGS) convert4chan.c $(C4LIBS) -o convert4chan
 
 install: all
 	mkdir -p $(INSTDIR)

=== debian/changelog ===
ir.lv2 (1.3.3~dfsg0-1) unstable; urgency=medium

  * Update watch file.
  * Repack by copyright file.
  * Update homepage.
  * Update source field.
  * New upstream version 1.3.3~dfsg0
  * Remove patches applied upstream.
  * Not install README file as changelog.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Dec 2016 16:27:46 +0100

ir.lv2 (1.3.2~dfsg0-3) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 10.
  * Fix VCS fields.
  * Fix hardening.
  * Allow debugging.
  * Sign tags.
  * Update copyright.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 17 Dec 2016 11:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libgtk2.0-dev (>= 2.16),
  libsamplerate0-dev (>= 0.1.7),
  libsndfile1-dev (>= 1.0.21),
  libzita-convolver-dev (>= 2.0.0),
  lv2-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ir.lv2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ir.lv2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ir.lv2.git
-Homepage: http://factorial.hu/plugins/lv2/ir
+Homepage: http://tomszilagyi.github.io/plugins/ir.lv2/
 
 Package: ir.lv2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 LDFLAGS+=-Wl,--as-needed
 export REPACK_SH=$(CURDIR)/debian/repack.sh
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
@@ -17,7 +19,7 @@
 	cp convert4chan $(CURDIR)/debian/ir.lv2/usr/bin
 
 override_dh_installchangelogs:
-	dh_installchangelogs README ChangeLog
+	dh_installchangelogs ChangeLog
 
 get-orig-source:
 	uscan --force-download

## ir.lv2 1.3.4~dfsg0

=== Makefile ===
# Please edit PREFIX and/or INSTDIR to your liking,
# then issue 'make install' as root (or 'sudo make install').

# Issue 'make convert4chan' to compile the 4-channel converter utility
# (for local use, not installed by make install)

BUNDLE = ir.lv2
PREFIX ?= /usr

user = $(shell whoami)
ifeq ($(user),root)
INSTDIR ?= $(DESTDIR)$(PREFIX)/lib/lv2
else 
INSTDIR ?= ~/.lv2
endif

INST_FILES = ir.so ir_gui.so ir.ttl manifest.ttl

CC ?= gcc
CXX ?= g++

# change "-O2 -ffast-math" to "-g -O0" below if you want to debug the plugin
CPPFLAGS += -Wall -I. -I/usr/include `pkg-config --cflags gtk+-2.0` `pkg-config --cflags gthread-2.0` -D__STDC_FORMAT_MACROS -O2 -ffast-math
LIBS += -lc -lm -lzita-convolver -lsamplerate -lsndfile `pkg-config --libs gthread-2.0` `pkg-config --libs gtk+-2.0`

ifeq ($(shell pkg-config --atleast-version='2.16' gtk+-2.0; echo $$?), 1)
   $(error "At least GTK+ version 2.16 is needed to build IR.")
endif

ifeq ($(shell pkg-config --atleast-version='2.20' gtk+-2.0; echo $$?), 0)
   CPPFLAGS += -D_HAVE_GTK_ATLEAST_2_20
endif

C4CFLAGS = -Wall -I. -I/usr/include `pkg-config --cflags gthread-2.0` -O2 -ffast-math
C4LIBS = -lsndfile `pkg-config --libs gthread-2.0`

all: ir.so ir_gui.so

ir.o: ir.cc ir.h ir_utils.h
	$(CXX) ir.cc $(CPPFLAGS) -c -fPIC -o ir.o

ir_gui.o: ir_gui.cc ir.h ir_utils.h ir_wavedisplay.h
	$(CXX) ir_gui.cc $(CPPFLAGS) -c -fPIC -o ir_gui.o

ir_utils.o: ir_utils.cc ir_utils.h ir.h
	$(CXX) ir_utils.cc $(CPPFLAGS) -c -fPIC -o ir_utils.o

ir_meter.o: ir_meter.cc ir_meter.h ir.h ir_utils.h
	$(CXX) ir_meter.cc $(CPPFLAGS) -c -fPIC -o ir_meter.o

ir_modeind.o: ir_modeind.cc ir_modeind.h ir.h ir_utils.h
	$(CXX) ir_modeind.cc $(CPPFLAGS) -c -fPIC -o ir_modeind.o

ir_wavedisplay.o: ir_wavedisplay.cc ir_wavedisplay.h ir.h ir_utils.h
	$(CXX) ir_wavedisplay.cc $(CPPFLAGS) -c -fPIC -o ir_wavedisplay.o

ir.so: ir.o ir_utils.o
	$(CXX) $(LDFLAGS) ir.o ir_utils.o $(LIBS) -shared -o ir.so

ir_gui.so: ir_gui.o ir_utils.o ir_meter.o ir_modeind.o ir_wavedisplay.o
	$(CXX) $(LDFLAGS) ir_gui.o ir_utils.o ir_meter.o ir_modeind.o ir_wavedisplay.o $(LIBS) -shared -z nodelete -o ir_gui.so

convert4chan: convert4chan.c
	$(CC) $(C4CFLAGS) $(CPPFLAGS) $(LDFLAGS) convert4chan.c $(C4LIBS) -o convert4chan

install: all
	mkdir -p $(INSTDIR)/$(BUNDLE)
	cp $(INST_FILES) $(INSTDIR)/$(BUNDLE)

clean:
	rm -f *~ *.o ir.so ir_gui.so convert4chan

uninstall :
	rm -rf $(INSTDIR)/$(BUNDLE)

=== debian/changelog ===
ir.lv2 (1.3.4~dfsg0-3) unstable; urgency=medium

  * Fix LV2 types (Closes: #960254)
  * Bump dh-compat to 13
  * Remove obosolete linker flags
  * Add archive and remove obsolete name field in d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 12 May 2020 19:00:37 +0200

ir.lv2 (1.3.4~dfsg0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #900887)
    + Pass PKG_CONFIG to make clean
    + Let dh_auto_build pass cross tools to make

  [ Dennis Braun ]
  * d/control:
    + Add me as uploader
    + Set RRR: no
  * d/rules:
    + Simplify convert4chan installation
    + Remove export REPACK_SH
    + Remove get-orig-source, obsolete
  * d/patches:
    + Fix non-root build
    + Refresh cross patch
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Mar 2020 20:21:11 +0100

ir.lv2 (1.3.4~dfsg0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update d/control (close #928208).
  * Adding myself to d/copyright.
  * http > https in d/control and d/copyright

  [ Dennis Braun ]
  * New upstream version
  * debian/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Remove samplicity.com from IR examples in description
  * debian/copyright: Update copyright year and add myself
  * debian/patches:
    + Update 04-allow_debbug.patch
    + Add 05-fix_version_in_about.patch
  * debian/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 24 Jan 2020 18:35:00 +0100

=== debian/control ===
Source: ir.lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev (>= 2.16),
 libsamplerate0-dev (>= 0.1.7),
 libsndfile1-dev (>= 1.0.21),
 libzita-convolver-dev (>= 2.0.0),
 lv2-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/ir.lv2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ir.lv2
Homepage: https://tomszilagyi.github.io/plugins/ir.lv2/
Rules-Requires-Root: no

Package: ir.lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 IR reverb
 IR is a zero-latency, realtime, high performance signal convolver
 especially for creating reverb effects. Supports impulse responses
 with 1, 2 or 4 channels, in any soundfile format supported by libsndfile.
 .
 IR files can be for example here:
  - https://musical-artifacts.com/artifacts?tags=impulse+response
  - https://musical-artifacts.com/artifacts?tags=ir
 .
 For converting 2ch impupuses to 4ch *True stereo* format
 use 'convert4chan' utility. See man pages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- convert4chan

override_dh_auto_install:
	dh_auto_install
	dh_install convert4chan usr/bin/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg0.*//,repacksuffix=~dfsg0" \
https://github.com/tomszilagyi/ir.lv2/tags .*/v?(\d[\d\.]+)\.tar\.gz
